Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.content
Class InsufficientStorageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.content.ContentException
                      org.apache.slide.content.InsufficientStorageException

All Implemented Interfaces:
  java.io.Serializable

public class InsufficientStorageException
extends ContentException

Exception thrown to indicate that a limitation of available storage space has been reached or exceeded.

Version:
  $Revision: $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`InsufficientStorageException(java.lang.String objectUri, java.lang.String userUri, java.lang.String details)` Constructor.

Method Summary
`java.lang.String` | `getDetails()` Returns a String containing details about the exception.
`java.lang.String` | `getObjectUri()` Returns the URI of the object.
`java.lang.String` | `getUserUri()` Returns the URI of the user.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InsufficientStorageException

    public InsufficientStorageException(java.lang.String objectUri,
                                        java.lang.String userUri,
                                        java.lang.String details)

  Constructor.

Parameters:
  `objectUri` - Uri of the object
  `userUri` - Uri of the user
  `details` - Details on the exception

Method Detail

### getObjectUri

    public java.lang.String getObjectUri()

  Returns the URI of the object.

  Returns:
    the object URI

### getUserUri

    public java.lang.String getUserUri()

  Returns the URI of the user.

  Returns:
    the user URI

### getDetails

    public java.lang.String getDetails()

  Returns a String containing details about the exception.

  Returns:
    details about the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD